<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS and Bootstrap Flex</title>

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="index.css">


</head>
<body>
	<div class="text-center">
		<h1>Bootstrap Flex</h1>
	<p>
		Use the d-flex class to create a flex container and transform direct children into flex items.
	</p>
	<h2>Centering elements</h2>
		<div style="height: 500px;" class="bg-secondary p-3 d-flex justify-content-center align-item-center flex-column-reverse">
			<div class="h-25 p-3 bg-success">Flex Item A</div>
			<div class="h-25 p-3 bg-warning">Flex Item B</div>
			<div class="h-25 p-3 bg-danger">Flex Item C</div>
		</div>
	
	<h2>Flex Row</h2>
	<div class="bg-dark p-3 d-flex flex-row">
		<div class="p-3 bg-success">Flex Item A</div>
		<div class="p-3 bg-warning">Flex Item A</div>
		<div class="p-3 bg-danger">Flex Item A</div>
	</div>
	<h2>Flex Row Reverse</h2>
	<div class="bg-dark p-3 d-flex flex-row-reverse">
		<div class="p-3 bg-success">Flex Item A</div>
		<div class="p-3 bg-warning">Flex Item B</div>
		<div class="p-3 bg-danger">Flex Item C</div>
	</div>

	<h2>Creating space between elements</h2>
	<!-- around class centers the elements horizontally while creating the space  -->
	<div class="bg-dark p-3 d-md-flex justify-content-around">
		<div class="p-3 bg-success">Flex Item A</div>
		<div class="p-3 bg-warning">Flex Item B</div>
		<div class="p-3 bg-danger">Flex Item C</div>
	</div>
	<h2>Flexbox with Margin</h2>
	<div class="bg-dark p-3 d-md-flex">
		<div class="p-3 bg-success me-auto">Flex Item A</div>
		<div class="p-3 bg-warning">Flex Item B</div>
		<div class="p-3 bg-danger">Flex Item C</div>
		<div class="p-3 bg-primary">Flex Item D</div>
	</div>

	<h2>Nested Flex Elements</h2>
	<div class="bg-dark p-3 d-block d-md-flex">
		<div class="p-3 bg-success me-auto">Flex Item A</div>
		<!-- between it creates space between elements but removes the padding of leftmost and rightmost padding -->
		<div class="w-75 d-block d-md-flex justify-content-between">
			<div class="p-3 bg-warning">Flex item B</div>
			<div class="p-3 bg-danger">Flex item C</div>
			<div class="p-3 bg-primary">Flex item D</div>
	</div>

	
	
	
</body>
</html>
